wxWidgets: wxFSInputStream Class Reference

| Version: 3.0.5

Public Member Functions | List of all members
wxFSInputStream Class Reference
Class List by Category » Streams

`#include </home/Hamis/wxwidgets/wxWidgets3.0/wxWidgets3.0-3.0.5.1-2.x86_64/src/wxWidgets-3.0.5.1/interface/wx/filesys.h>`

Inheritance diagram for wxFSInputStream:
[legend]

## Detailed Description

Input stream for virtual file stream files.

The stream reads data from wxFSFile obtained from wxFileSystem. It is especially useful to allow using virtual files with other wxWidgets functions and classes working with streams, e.g. for loading images or animations from virtual files and not only physical ones.

##

Library: wxBase

<>< =''>:</>&;&;< =''>\ </></>

See also
  wxWrapperInputStream, wxFSFile

Since
  2.9.4

## Public Member Functions
| wxFileInputStream (const wxString &filename, int flags=0)
| Create a stream associated with the data of the given virtual file system file. More...
bool | IsOk () const
| Returns true if the stream is initialized and ready. More...
Public Member Functions inherited from wxWrapperInputStream
| wxWrapperInputStream (wxInputStream &stream)
| Initializes a wrapper stream. More...
| wxWrapperInputStream (wxInputStream *stream)
Public Member Functions inherited from wxFilterInputStream
| wxFilterInputStream (wxInputStream &stream)
| Initializes a "filter" stream. More...
| wxFilterInputStream (wxInputStream *stream)
Public Member Functions inherited from wxInputStream
| wxInputStream ()
| Creates a dummy input stream. More...
virtual | ~wxInputStream ()
| Destructor. More...
virtual bool | CanRead () const
| Returns true if some data is available in the stream right now, so that calling Read() wouldn't block. More...
virtual bool | Eof () const
| Returns true after an attempt has been made to read past the end of the stream. More...
int | GetC ()
| Returns the first character in the input queue and removes it, blocking until it appears if necessary. More...
virtual size_t | LastRead () const
| Returns the last number of bytes read. More...
virtual char | Peek ()
| Returns the first character in the input queue without removing it. More...
virtual wxInputStream & | Read (void *buffer, size_t size)
| Reads the specified amount of bytes and stores the data in buffer. More...
wxInputStream & | Read (wxOutputStream &stream_out)
| Reads data from the input queue and stores it in the specified output stream. More...
bool | ReadAll (void *buffer, size_t size)
| Reads exactly the specified number of bytes into the buffer. More...
virtual wxFileOffset | SeekI (wxFileOffset pos, wxSeekMode mode=wxFromStart)
| Changes the stream current position. More...
virtual wxFileOffset | TellI () const
| Returns the current stream position or wxInvalidOffset if it's not available (e.g. More...
size_t | Ungetch (const void *buffer, size_t size)
| This function is only useful in read mode. More...
bool | Ungetch (char c)
| This function acts like the previous one except that it takes only one character: it is sometimes shorter to use than the generic function. More...
Public Member Functions inherited from wxStreamBase
| wxStreamBase ()
| Creates a dummy stream object. More...
virtual | ~wxStreamBase ()
| Destructor. More...
wxStreamError | GetLastError () const
| This function returns the last error. More...
virtual wxFileOffset | GetLength () const
| Returns the length of the stream in bytes. More...
virtual size_t | GetSize () const
| This function returns the size of the stream. More...
virtual bool | IsSeekable () const
| Returns true if the stream supports seeking to arbitrary offsets. More...
void | Reset (wxStreamError error=wxSTREAM_NO_ERROR)
| Resets the stream state. More...
bool | operator! () const
| Returns the opposite of IsOk(). More...

## Additional Inherited Members
Protected Member Functions inherited from wxWrapperInputStream
| wxWrapperInputStream ()
| Default constructor, use InitParentStream() to finish initialization. More...
void | InitParentStream (wxInputStream &stream)
| Set up the wrapped stream for an object initialized using the default constructor. More...
void | InitParentStream (wxInputStream *stream)
Protected Member Functions inherited from wxInputStream
size_t | OnSysRead (void *buffer, size_t bufsize)=0
| Internal function. More...
Protected Member Functions inherited from wxStreamBase
virtual wxFileOffset | OnSysSeek (wxFileOffset pos, wxSeekMode mode)
| Internal function. More...
virtual wxFileOffset | OnSysTell () const
| Internal function. More...

## Member Function Documentation

## ◆ IsOk()

bool wxFSInputStream::IsOk | ( |  | ) | const
| virtual

Returns true if the stream is initialized and ready.

Reimplemented from wxStreamBase.

## ◆ wxFileInputStream()

wxFSInputStream::wxFileInputStream | ( | const wxString & | filename,
|  | int | flags = `0`
| ) |  |

Create a stream associated with the data of the given virtual file system file.

Parameters

  filename | The name of the input file passed to wxFileSystem::OpenFile().
  flags | Combination of flags from wxFileSystemOpenFlags. wxFS_READ is implied, i.e. it is always added to the flags value.

Use wxStreamBase::IsOk() to verify if the constructor succeeded.